Bug 855925 - [AS7] retrieveBackingContent fails for DomainDeployment resource
[AS7] retrieveBackingContent fails for DomainDeployment resource
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6 (Show other bugs)
JON 3.1.1
Unspecified Unspecified
medium Severity low
: ---
: JON 3.1.2
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 880214
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 11:52 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 880214 (view as bug list)
Environment:
Last Closed: 2013-09-11 06:58:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Content history (72.54 KB, image/png)
2012-09-10 11:52 EDT, Libor Zoubek
no flags Details

  None (edit)
Description Libor Zoubek 2012-09-10 11:52:35 EDT
Created attachment 611476 [details]
Content history

Description of problem: I am not able to retrieveBackingContent for DomainDeployment resource. Moreover .. it says [sha256=null] in Content tab of this resource.


Version-Release number of selected component (if applicable):
JON 3.1.1.CR2

How reproducible:always


Steps to Reproduce:
1. Start AS7 in domain mode
2. create a DomainDeployment child
3. Check UI for deployment resource ID
4. run following in CLI

var res = ProxyFactory.getResource(ID)
res.retrieveBackingContent("/some/path")
  
Actual results:
 in CLI i get:
Wrapped javax.ejb.EJBException: [Warning] java.lang.RuntimeException: Unable to retrieve package bits for resource: 14871 and package: 10241. (<Unknown source>#1)

In content history I see failed package bits retrievial:

java.lang.IllegalStateException: Deployment file seems to have disappeared
	at org.rhq.modules.plugins.jbossas7.DeploymentComponent.retrievePackageBits(DeploymentComponent.java:232)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:634)


See attached screenshot for a conent history

Expected results: package bits are retrieved.
Comment 1 Charles Crouch 2012-09-17 14:57:37 EDT
Pushing for consideration in JON312
Should determine if there is any type of timing issue here, and if so return a more appropriate message.
Comment 2 Charles Crouch 2012-11-19 14:36:27 EST
Pushing to JBossON product BZ for triage for 312
Comment 3 Heiko W. Rupp 2012-12-03 03:33:44 EST
release branch 85a91f4
Comment 4 Simeon Pinder 2012-12-07 01:31:23 EST
Moving to ON_QA as available for testing in ER3 or greater: https://brewweb.devel.redhat.com/buildinfo?buildID=246689
Comment 5 Libor Zoubek 2012-12-07 09:51:34 EST
verified by CLI automation on 3.1.2.ER3

Note You need to log in before you can comment on or make changes to this bug.